### Class

# PapersView History

#### Description

    class PapersView.History : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### pps_history_new

No description available.

#### Instance methods

###### pps_history_add_link

No description available.

###### pps_history_add_page

No description available.

###### pps_history_can_go_back

No description available.

###### pps_history_can_go_forward

No description available.

###### pps_history_freeze

No description available.

###### pps_history_get_back_list

No description available.

###### pps_history_get_forward_list

No description available.

###### pps_history_go_back

No description available.

###### pps_history_go_forward

No description available.

###### pps_history_go_to_link

No description available.

###### pps_history_is_frozen

No description available.

###### pps_history_thaw

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### PapersView.History:document-model

No description available.

#### Signals

###### PapersView.History::activate-link

No description available.

###### PapersView.History::changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PapersViewHistoryClass {
      GObjectClass parent_class;
      void (* changed) (
        PpsHistory* history
      );
      void (* activate_link) (
        PpsHistory* history,
        PpsLink* link
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`changed: void (* changed) ( PpsHistory* history )`

  No description available.

`activate_link: void (* activate_link) ( PpsHistory* history, PpsLink* link )`

  No description available.

#### Virtual methods

###### PapersView.HistoryClass.activate_link

No description available.

###### PapersView.HistoryClass.changed

No description available.